Wallet of an account (support)
const url = 'https://api.gampeon.com/v1/admin/wallet/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/admin/wallet/example \ --header 'Authorization: Bearer <token>'Requires the role admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Handle of the account
Responses
Section titled “Responses”Wallet
object
object
Bought or gifted. Spendable, never paid out
Earned, still in the holding period
Earned. Spendable and can be paid out
Reserved for a payout request
Wallet + earned
object
Amount in GAMPEONS
Euro cents
sandbox: simulated payment with POST /v1/wallet/orders/:id/sandbox-pay. xsolla: Xsolla test payment through POST /v1/wallet/orders/:id/checkout.
Unix time in milliseconds
Unix time in milliseconds
object
Amount in GAMPEONS
Rate fixed when the payout was requested
Euro cents
Unix time in milliseconds
Example
{ "orders": [ { "status": "pending", "provider": "sandbox" } ], "payouts": [ { "status": "requested" } ]}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}